MatrixInfo.MatrixField

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## no.uib.cipr.matrix.io
Enum MatrixInfo.MatrixField

    java.lang.Object
      java.lang.Enum<MatrixInfo.MatrixField>
          no.uib.cipr.matrix.io.MatrixInfo.MatrixField

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MatrixInfo.MatrixField>

Enclosing class:
  MatrixInfo

    public static enum MatrixInfo.MatrixField

extends java.lang.Enum<MatrixInfo.MatrixField>

What kind of numbers are stored

Enum Constant Summary
`Complex` Complex numbers
`Integer` Integers
`Pattern` Pattern matrix.
`Real` Real numbers

Method Summary
`static MatrixInfo.MatrixField` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MatrixInfo.MatrixField[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Real

    public static final MatrixInfo.MatrixField Real

  Real numbers

### Integer

    public static final MatrixInfo.MatrixField Integer

  Integers

### Complex

    public static final MatrixInfo.MatrixField Complex

  Complex numbers

### Pattern

    public static final MatrixInfo.MatrixField Pattern

  Pattern matrix. No numbers stored

Method Detail

### values

    public static final MatrixInfo.MatrixField[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MatrixInfo.MatrixField c : MatrixInfo.MatrixField.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MatrixInfo.MatrixField valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD